package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.CourseDimension;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.SysUser;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * <p>
 * 课程知识点表 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-02-27
 */
public interface CourseDimensionService extends IService<CourseDimension> {

    /**
     * 导入课程知识点
     *
     * @param requestUser 请求人
     * @param file        知识点excel
     * @param examId      考试id
     * @param courseCode  课程编号
     */
    void importCourseDimension(SysUser requestUser, MultipartFile file, Long examId, String courseCode)
            throws IOException, NoSuchFieldException;

    /**
     * 自动生成课程一二级属性编号
     * <p>
     * 一级属性编号从A-Z，二级属性编号为A1，A2。。。B1，B2。。。Z1，Z2。。。
     * </P>
     *
     * @param examId     考试id
     * @param courseCode 课程编号
     * @param parentId   父属性id（根节点id为0）
     * @return 生成的编号
     */
    String autoCreateDimensionCode(Long examId, String courseCode, Long parentId);
}
