CREATE TABLE `course_dimension` (
    `id` BIGINT(20) NOT NULL COMMENT 'id',
    `school_id` BIGINT(20) NOT NULL COMMENT '学校id',
    `semester_id` BIGINT(20) NOT NULL COMMENT '学期id',
    `exam_id` BIGINT(20) NOT NULL COMMENT '考试id',
    `course_code` VARCHAR(20) NOT NULL COMMENT '课程编号',
    `code` VARCHAR(32) NOT NULL COMMENT '知识点编号',
    `name` VARCHAR(255) NOT NULL COMMENT '知识点名称',
    `number` INT NOT NULL COMMENT '排序',
    `parent_id` BIGINT(20) NOT NULL COMMENT '父id（顶级知识点父id为0）',
    `create_id` BIGINT(20) NULL COMMENT '创建人',
    `create_time` BIGINT(20) NULL COMMENT '创建时间',
    `update_id` BIGINT(20) NULL COMMENT '更新人',
    `update_time` BIGINT(20) NULL COMMENT '更新时间',
    PRIMARY KEY (`id`)
)  ENGINE=INNODB DEFAULT CHARACTER SET=UTF8MB4 COMMENT='课程知识点表';

ALTER TABLE `course_dimension` 
ADD UNIQUE INDEX `course_dimension_unique` (`exam_id` ASC, `course_code` ASC, `code` ASC) VISIBLE;
;
